Copy a recipient list
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/recipientlists
Path Parameters
- clientIdstringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Form Parameters
- sourceRecipientListIdinteger<int64>requiredDescriptionFormatint64
Responses
201
- RestRecipientList
- idinteger<int64>DescriptionFormatint64
- namestringDescription
- descriptionstringDescription
- recipientsinteger<int32>DescriptionFormatint32
- mediaTypesstring[]Description
- testListbooleanDescription
- forTransactionApibooleanDescription
- createdstring<date-time>DescriptionFormatdate-time
- modifiedstring<date-time>DescriptionFormatdate-time
- linksobject[]
- uriBuilderobject
- relsstring[]
- relstring
- typestring
- paramsmap<string, string>
- titlestring
- uristring<uri>Formaturi
400
curl
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/recipientlists \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'sourceRecipientListId=integer<int64>'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/x-www-form-urlencoded");
var urlencoded = new URLSearchParams();
urlencoded.append("sourceRecipientListId", "integer<int64>");
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: urlencoded,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/recipientlists", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/recipientlists")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/x-www-form-urlencoded"
request.body = "sourceRecipientListId=integer%3Cint64%3E"
response = https.request(request)
puts response.read_body
python
import requests
url = "https://api.campaign.episerver.net/rest/{clientId}/recipientlists"
payload = 'sourceRecipientListId=integer%3Cint64%3E'
headers = {
'accept': 'application/json',
'content-type': 'application/x-www-form-urlencoded'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// The recipient list was copied successfully.
{
"id": "",
"name": "",
"description": "",
"recipients": "",
"mediaTypes": [
""
],
"testList": false,
"forTransactionApi": false,
"created": "",
"modified": "",
"links": [
{
"uriBuilder": {},
"rels": [
""
],
"rel": "",
"type": "",
"params": "",
"title": "",
"uri": ""
}
]
}400
// sourceRecipientListId is not provided. Ensure that the required parameter is added.